%menuitem {
    @include md {
        border-top: 7px solid transparent;
        border-bottom: 8px solid transparent;
        margin-bottom: -8px;
        flex: 0 1 auto;
    }
    color: $darktext;
    font-size: $fontsize-mainmenu;
    line-height: $lineheight-mainmenu;
}
%menuitem-exposed {
    background: rgba(lighten($black,10),0.4);
    @include md {
        border-bottom-color: rgba(lighten($black,20),0.2);
    }
    color: $white;
}

header {
    nav.navbar {
        a.navbar-brand {
            align-self: center;
            img {
                max-width: 180px;
                @include sm {
                    max-width: 220px;
                }
                @include md {
                    max-width: 250px;
                }
                height: auto;
            }
        }
        .navbar-toggler {
            border-color: transparent;
            color: $white;
        }
        ul#menu-main-top {
            li {
                @extend %menuitem;
                @include addtransition();
                a,
                a:link,
                a:visited {
                    display: block;
                    padding: 1rem .5rem;
                    text-align: center;
                    @include md {
                        padding: 3rem 1rem;
                    }
                    text-transform: uppercase;
                    text-decoration: none;
                    font-weight: 700;
                    color: inherit;
                }
                &:hover,
                &:focus {
                    @extend %menuitem-exposed;
                    border-top-color: rgba($mainmenu-topborder,0.4);
                }
                &.current-menu-item {
                    @extend %menuitem-exposed;
                    border-top-color: rgba($mainmenu-topborder,1);
                }
            }
            li.searchicon {
                display: flex;
                flex-flow: column;
                align-items: center;
                justify-content: center;
                .form-inline {
                    font-size: inherit;
                    line-height: inherit;
                    padding: .5rem;
                    .input-group {
                        button {
                            border-color: $white;
                        }
                    }
                }
                @include md {
                    button {
                        border-color: transparent;
                    }
                    .form-inline {
                        padding: 1rem 1rem;
                        .input-group {
                            > .form-control {
                                &:placeholder-shown {
                                    width: 0;
                                    padding: 0;
                                    border-width: 0;
                                }
                            }
                            button {
                                border-color: transparent;
                            }
                        }
                    }
                    &:hover,
                    &:focus {
                        //flex: 0 0 auto;
                        .form-inline {
                            .input-group {
                                > .form-control {
                                    @include addtransition(all 2s ease-in-out 0s);
                                    &:placeholder-shown {
                                        width: 80px;
                                        padding: .25rem .5rem;
                                        border-width: 1px;
                                    }
                                }
                                button {
                                    border-color: $white;
                                }
                            }
                        }
                    }
                }
                @include lg {
                    &:hover,
                    &:focus {
                        .form-inline .input-group > .form-control:placeholder-shown {
                                        width: 300px;
                        }
                    }
                }
            }
        }
    }
}